GET /api/account/upi
Get account upi. Authenticate with your account api key.
curl -X GET https://agakural.online/api/account/upi \
-H "Authorization: Bearer $TOKEN"
PUT /api/account/upi
Update account upi. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| vpa | body | string | Yes | Up to 120 characters |
| name | body | string | No | Up to 80 characters |
curl -X PUT https://agakural.online/api/account/upi \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"vpa": "vpa"}'
GET /api/channels/{id}/profile
Get channels profile. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X GET https://agakural.online/api/channels/{id}/profile \
-H "Authorization: Bearer $TOKEN"
PUT /api/channels/{id}/profile
Update channels profile. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes | |
| catalog | body | boolean | No | |
| catalog_keywords | body | array of string | No | |
| location_keywords | body | array of string | No | |
| location | body | object | No | |
| ai_reply | body | object | No |
curl -X PUT https://agakural.online/api/channels/{id}/profile \
-H "Authorization: Bearer $TOKEN"
GET /api/orders
Get orders. Authenticate with your account api key.
curl -X GET https://agakural.online/api/orders \
-H "Authorization: Bearer $TOKEN"
PATCH /api/orders/{id}
Update a orders. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes | |
| status | body | object | Yes | One of: confirmed, cancelled, pending |
curl -X PATCH https://agakural.online/api/orders/{id} \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"status": "status"}'
GET /api/payments
Get payments. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| status | query | object | No | One of: pending, claimed, paid, cancelled |
curl -X GET https://agakural.online/api/payments \
-H "Authorization: Bearer $TOKEN"
POST /api/payments
Create payments. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| channel_id | body | string | Yes | |
| to | body | string | Yes | Up to 40 characters |
| name | body | string | No | Up to 80 characters |
| amount_paise | body | integer | Yes | Range 100–10000000 |
| note | body | string | Yes | Up to 80 characters |
curl -X POST https://agakural.online/api/payments \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"channel_id": "channel_id", "to": "919876543210", "amount_paise": 1, "note": "note"}'
PATCH /api/payments/{id}
Update a payments. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes | |
| status | body | object | Yes | One of: paid, cancelled, pending |
curl -X PATCH https://agakural.online/api/payments/{id} \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"status": "status"}'
GET /api/products
Get products. Authenticate with your account api key.
curl -X GET https://agakural.online/api/products \
-H "Authorization: Bearer $TOKEN"
POST /api/products
Create products. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| name | body | string | Yes | Up to 80 characters |
| price_paise | body | integer | Yes | Range 1–100000000 |
| description | body | string | No | Up to 500 characters |
| image | body | string | No | Up to 1000 characters |
| category | body | string | No | Up to 40 characters |
| in_stock | body | boolean | No |
curl -X POST https://agakural.online/api/products \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"name": "name", "price_paise": 1}'
DELETE /api/products/{id}
Delete a products. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X DELETE https://agakural.online/api/products/{id} \
-H "Authorization: Bearer $TOKEN"
PATCH /api/products/{id}
Update a products. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes | |
| name | body | string | No | Up to 80 characters |
| price_paise | body | integer | No | Range 1–100000000 |
| description | body | string | No | Up to 500 characters |
| image | body | string | No | Up to 1000 characters |
| category | body | string | No | Up to 40 characters |
| in_stock | body | boolean | No |
curl -X PATCH https://agakural.online/api/products/{id} \
-H "Authorization: Bearer $TOKEN"
POST /api/products/import
Create products import. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| text | body | string | Yes | Up to 500000 characters |
curl -X POST https://agakural.online/api/products/import \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"text": "text"}'
GET /api/stores
Get stores. Authenticate with your account api key.
curl -X GET https://agakural.online/api/stores \
-H "Authorization: Bearer $TOKEN"
POST /api/stores
Create stores. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| channel_id | body | string | Yes | |
| platform | body | object | Yes | One of: shopify, woocommerce |
| secret | body | string | No | Up to 200 characters |
curl -X POST https://agakural.online/api/stores \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"channel_id": "channel_id", "platform": "platform"}'
DELETE /api/stores/{id}
Delete a stores. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X DELETE https://agakural.online/api/stores/{id} \
-H "Authorization: Bearer $TOKEN"
PUT /api/stores/{id}
Update a stores. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes | |
| secret | body | string | No | Up to 200 characters |
| cod_message | body | string | No | Up to 1500 characters |
| prepaid_message | body | string | No | Up to 1500 characters |
| send_prepaid | body | boolean | No | |
| country_code | body | string | No |
curl -X PUT https://agakural.online/api/stores/{id} \
-H "Authorization: Bearer $TOKEN"